LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
Rule Struct Referencepublished

describes a rule that can be applies to a number of objects. More...

`import"Rule.idl";`

## Public Attributes
sequence < com::sun::star::ucb::RuleTerm > | Terms
| the rule terms describing the objects to which the rule should be applied. More...
string | Parameter
| Some RuleActions require a parameter. More...
short | Action
| the action to perform on the matching objects. More...

## Detailed Description

describes a rule that can be applies to a number of objects.

A rule consists of a sequence of RuleTerms describing the objects to which the rule should be applied, the RuleAction which should be used on the matching objects, and a parameter.

## Member Data Documentation

short Action

the action to perform on the matching objects.

The value can be one of the RuleAction constants.

string Parameter

Some RuleActions require a parameter.

Action | Parameter
--- | ---
COPY, MOVE, LINK | The URL to the destination folder.
FORWARD | The email address of the recipient
All other actions | n/a

sequence<com::sun::star::ucb::RuleTerm> Terms

the rule terms describing the objects to which the rule should be applied.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/Rule.idl